Skip to main content
`Ctrl`+`K`

# Link

class astropy.io.votable.tree.Link(ID=None, title=None, value=None, href=None, action=None, id=None, config=None, pos=None, **kwargs)

  Bases: `SimpleElement`, `_IDProperty`

  LINK elements: used to reference external documents and servers through a URI.

  The keyword arguments correspond to setting members of the same name, documented below.

  Attributes Summary

  `content_role` | Defines the MIME role of the referenced object.
  `content_type` | Defines the MIME content type of the referenced object.
  `href` | A URI to an arbitrary protocol.

  Methods Summary

  `from_table_column`(d) |
  `to_table_column`(column) |

  Attributes Documentation

  content_role

    Defines the MIME role of the referenced object.

    Must be one of:

    > None, ‘query’, ‘hints’, ‘doc’, ‘location’ or ‘type’

  content_type

    Defines the MIME content type of the referenced object.

  href

    A URI to an arbitrary protocol. The vo package only supports http and anonymous ftp.

  Methods Documentation

  classmethod from_table_column(d)
  to_table_column(column)